# Plugin : Object
Return to: HTML DOM Level 0 index

Plugin installed in the web browser.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | 3.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
Plugin Constructor() : Plugin Creates a new instance of a Plugin object. | Show Details | no | 1.0+ | 3.0+ | 7.0+ | 1.0+

### Plugin() : Plugin

Creates a new instance of a Plugin object.

Returns

Plugin |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
description : String Description of the plugin. | No Details | no | 1.0+ | 3.0+ | 7.0+ | 1.0+

filename : String File name of the plugin itself. | No Details | no | 1.0+ | 3.0+ | 7.0+ | 1.0+

length : Number Number of elements in the MimeType array of the data formats supported by the plugin. | No Details | no | 1.0+ | 3.0+ | 7.0+ | 1.0+

name : String Name of the plugin. | No Details | no | 1.0+ | 3.0+ | 7.0+ | 1.0+

## References

Navigator|MimeType

## Availability

Netscape 3

text_javascript aptana_docs